/*
 * Copyright (c) 2012 Ryan Vogt <vogt@cs.ualberta.ca>
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

package triad.backend;

/**
 * The <code>Element</code> class represents the possible elemental attributes
 * of cards and board squares in Triple Triad.
 */
public enum Element
{
    /**
     * A card or square with no elemental attribute.
     */
    NONE,

    /**
     * A card or square with the fire elemental attribute.
     */
    FIRE,

    /**
     * A card or square with the ice elemental attribute.
     */
    ICE,

    /**
     * A card or square with the thunder elemental attribute.
     */
    THUNDER,

    /**
     * A card or square with the earth elemental attribute.
     */
    EARTH,

    /**
     * A card or square with the poison elemental attribute.
     */
    POISON,

    /**
     * A card or square with the wind elemental attribute.
     */
    WIND,

    /**
     * A card or square with the water elemental attribute.
     */
    WATER,

    /**
     * A card or square with the holy elemental attribute.
     */
    HOLY
}