/*
 * Copyright (c) 2012 Ryan Vogt <vogt@cs.ualberta.ca>
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

package triad.backend;

/**
 * The <code>PreferencesException</code> class represents an error parsing the
 * user preferences, either from the preferences file or from overrides on the
 * command-line switches.
 */
public class PreferencesException extends Exception
{
    /**
     * Creates a new <code>PreferencesException</code> with the given message
     * to display to the user.
     *
     * @param message the error message to display to the user.
     */
    public PreferencesException(String message)
    {
	super(message);
    }

    /**
     * Returns the error message for the user.
     *
     * @return the error message to display to the user.
     */
    public String toString()
    {
	return this.getMessage();
    }
}