#!/bin/sh

# Copyright (c) 2012, 2013 Ryan Vogt <vogt@cs.ualberta.ca>
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

VERSION=2.0-beta1

TEMPDIR=~/temp
OUTDIR=~/Desktop
DIST=triadHelper-${VERSION}
SRC=triadHelper-${VERSION}-src

export COPYFILE_DISABLE=true

cd $(dirname "${BASH_SOURCE}")                                 && \
rm -rf ${TEMPDIR}/${SRC} ${TEMPDIR}/${DIST}                    && \
mkdir ${TEMPDIR}/${SRC} ${TEMPDIR}/${DIST}                     && \
ant clean > /dev/null                                          && \
cp -R ../* ${TEMPDIR}/${SRC}/                                  && \
cd ${TEMPDIR}/${SRC}/                                          && \
find . -name "CVS" | xargs rm -rf                              && \
find . -name ".cvsignore" | xargs rm -f                        && \
rm -f audio/*.jar audio/tripleTriad.config.xml                 && \
tar czf ${OUTDIR}/${SRC}.tgz -C ../ ${SRC}/                    && \
cd src/                                                        && \
ant distribution > /dev/null                                   && \
cp ../obj/*.jar ../README.txt ${TEMPDIR}/${DIST}               && \
sed -e '/audio/d' ../etc/triadHelper.conf                         \
    > ${TEMPDIR}/${DIST}/triadHelper.conf                      && \
cd ${TEMPDIR}/${DIST}                                          && \
tar czf ${OUTDIR}/${DIST}.tgz -C ../ ${DIST}                   && \
rm -rf ${TEMPDIR}/${SRC} ${TEMPDIR}/${DIST}                    && \
echo Triad Helper ${VERSION} distribution build complete       && \
exit

echo Distribution build failed
